Subject: Re: What's cooking in git.git (Nov 2025, #04; Fri, 14)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 18 Nov 2025 10:58:58 +0100

On Mon, Nov 17, 2025 at 04:31:00PM +0000, Phillip Wood wrote:
> On 15/11/2025 16:51, D. Ben Knoble wrote:
> > On Fri, Nov 14, 2025 at 5:27 PM Junio C Hamano <[email-masked]> wrote:
> > > 
> > > * ps/history (2025-10-27) 12 commits
> > >   - builtin/history: implement "split" subcommand
> > >   - cache-tree: allow writing in-memory index as tree
> > >   - add-patch: add support for in-memory index patching
> > >   - add-patch: remove dependency on "add-interactive" subsystem
> > >   - add-patch: split out `struct interactive_options`
> > >   - add-patch: split out header from "add-interactive.h"
> > >   - builtin/history: implement "reword" subcommand
> > >   - builtin: add new "history" command
> > >   - replay: stop using `the_repository`
> > >   - replay: extract logic to pick commits
> > >   - wt-status: provide function to expose status for trees
> > >   - Merge branch 'sa/replay-atomic-ref-updates' into ps/history
> > >   (this branch uses sa/replay-atomic-ref-updates.)
> > > 
> > >   "git history" history rewriting UI.
> > > 
> > >   Comments?
> > >   source: <[email-masked]>
> > 
> > But otherwise I generally am in favor of the idea and find it useful.
> 
> I agree with this and I'm pleased it is reusing some of the internals of
> "git replay" now. I've just reviewed the first half, I'll try and do the
> rest sometime this week.

Perfect, thanks! I won't be able to address the feedback this or next
week, but will do it once I'm back in office.

Patrick